package com.rjconsultores.ventaboletos.utilerias.fiscal.vo;

public class RdiValidacion {

	private String estado;
	private boolean temIMRec;
	private boolean temIMDev;
	private boolean temIERec;
	private boolean temIEDev;

	public RdiValidacion(String estado) {
		super();
		this.estado = estado;
		this.temIMRec = false;
		this.temIMDev = false;
		this.temIERec = false;
		this.temIEDev = false;
	}

	public String getEstado() {
		return estado;
	}

	public void setEstado(String estado) {
		this.estado = estado;
	}

	public boolean isTemIMRec() {
		return temIMRec;
	}

	public void setTemIMRec(boolean temIMRec) {
		this.temIMRec = temIMRec;
	}

	public boolean isTemIMDev() {
		return temIMDev;
	}

	public void setTemIMDev(boolean temIMDev) {
		this.temIMDev = temIMDev;
	}

	public boolean isTemIERec() {
		return temIERec;
	}

	public void setTemIERec(boolean temIERec) {
		this.temIERec = temIERec;
	}

	public boolean isTemIEDev() {
		return temIEDev;
	}

	public void setTemIEDev(boolean temIEDev) {
		this.temIEDev = temIEDev;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((estado == null) ? 0 : estado.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		RdiValidacion other = (RdiValidacion) obj;
		if (estado == null) {
			if (other.estado != null)
				return false;
		} else if (!estado.equals(other.estado))
			return false;
		return true;
	}

}
